--沙盘模拟新建表T_EB_ANALYSISCANVAS_USER
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_USER')
CREATE TABLE T_EB_ANALYSISCANVAS_USER
(
    FID            BIGINT DEFAULT 0 NOT NULL,
    FCANVASID      BIGINT DEFAULT 0 NOT NULL,
    FMODELID       BIGINT DEFAULT 0 NOT NULL,
    FDATASETID     BIGINT DEFAULT 0 NOT NULL,
    FDIMMEMBER     NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FDIMVIEW       NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FMODIFIERID    BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE    DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_USER', 'T_EB_ANALYSISCANVAS_USER', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISUSER_CVS')
CREATE INDEX IDX_EB_ANALYSISUSER_CVS ON T_EB_ANALYSISCANVAS_USER ( FCANVASID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISUSER_MD')
CREATE INDEX IDX_EB_ANALYSISUSER_MD ON T_EB_ANALYSISCANVAS_USER ( FMODELID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISUSER_DS')
CREATE INDEX IDX_EB_ANALYSISUSER_DS ON T_EB_ANALYSISCANVAS_USER ( FDATASETID );


/**END **/