--沙盘模拟新建表T_EB_ANALYSISCANVAS_VAR
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_VAR')
CREATE TABLE T_EB_ANALYSISCANVAS_VAR
(
    FID            BIGINT DEFAULT 0 NOT NULL,
    FCANVASID      BIGINT DEFAULT 0 NOT NULL,
    FITEMID        BIGINT DEFAULT 0 NOT NULL,
    FDIMENSION     NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FVARIABLE      NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FVARIABLEJSON  NVARCHAR(100) DEFAULT ' ' NOT NULL
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_VAR', 'T_EB_ANALYSISCANVAS_VAR', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISVAR_CVS')
CREATE INDEX IDX_EB_ANALYSISVAR_CVS ON T_EB_ANALYSISCANVAS_VAR ( FCANVASID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSISVAR_ITM')
CREATE INDEX IDX_EB_ANALYSISVAR_ITM ON T_EB_ANALYSISCANVAS_VAR ( FITEMID );


/**END **/