--预测结果记录表T_EB_FORECAST_RECORD
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_FORECAST_RECORD')
CREATE TABLE T_EB_FORECAST_RECORD
(
    FID             BIGINT DEFAULT 0 NOT NULL,
    FMODELID        BIGINT DEFAULT 0 NOT NULL,
    FDATASETID      BIGINT DEFAULT 0 NOT NULL,
    FDIMHASH        BIGINT DEFAULT 0 NOT NULL,
    FENTITY         NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FACCOUNT        NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FMEMBERS        NVARCHAR(200) DEFAULT ' ' NOT NULL,
    FPREDSTART      NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FPREDEND        NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FDATAUNIT       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FPERIODTYPE     BIGINT DEFAULT 0 NOT NULL,
    FMETRIC         NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FPREDINDEX      NVARCHAR(500) DEFAULT ' ' NOT NULL,
    FPREDDATA       NVARCHAR(500) DEFAULT ' ' NOT NULL,
    FFITDATA        NVARCHAR(1800) DEFAULT ' ' NOT NULL,
    FSAMPLEINDEX    NVARCHAR(1800) DEFAULT ' ' NOT NULL,
    FSAMPLEDATA     NVARCHAR(1800) DEFAULT ' ' NOT NULL,
    FCONFIDENCEMIN  NVARCHAR(500) DEFAULT ' ' NOT NULL,
    FCONFIDENCEMAX  NVARCHAR(500) DEFAULT ' ' NOT NULL,
    FMODIFIERID     BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE     DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_FORECAST_RECORD', 'T_EB_FORECAST_RECORD', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_FORECAST_DM')
CREATE INDEX IDX_EB_FORECAST_DM ON T_EB_FORECAST_RECORD ( FDIMHASH );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_FORECAST_MD')
CREATE INDEX IDX_EB_FORECAST_MD ON T_EB_FORECAST_RECORD ( FMODELID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_FORECAST_DS')
CREATE INDEX IDX_EB_FORECAST_DS ON T_EB_FORECAST_RECORD ( FDATASETID );


/**END **/