-- 处理模板库的执行存储
/**BEGIN  **/

-- 先更新库里面已有的数据，再执行修改字段类型
update T_EB_ANALYSISCANVAS set FMODEL = ' ' where FMODEL is null;
update T_EB_ANALYSISCANVAS_CMP set FNAME = ' ' where FNAME is null;
update T_EB_ANALYSISCANVAS_CMP set FDESC = ' ' where FDESC is null;
update T_EB_ANALYSISCANVAS_COMM set FITEMNAME = ' ' where FITEMNAME is null;

-- 修改默认值且字段类型不一致
EXEC p_AlterColumn 'T_EB_ANALYSISCANVAS', 'FMODEL', 'VARCHAR(500)', 'NOT NULL', '0011' , ''' ''';
EXEC p_AlterColumn 'T_EB_ANALYSISCANVAS_CMP', 'FNAME', 'VARCHAR(50)', 'NOT NULL', '0011' , ''' ''';
EXEC p_AlterColumn 'T_EB_ANALYSISCANVAS_CMP', 'FDESC', 'VARCHAR(255)', 'NOT NULL', '0011' , ''' ''';
EXEC p_AlterColumn 'T_EB_ANALYSISCANVAS_COMM', 'FITEMNAME', 'VARCHAR(50)', 'NOT NULL', '0011' , ''' ''';

-- 修改默认值
EXEC p_AlterColumn 'T_EB_ANALYSISCANVAS_SHARE', 'FSTATUS', 'VARCHAR(50)', 'NOT NULL', '0001' , ''' ''';
EXEC p_AlterColumn 'T_EB_ANALYSISCANVAS_SHARE', 'FREASON', 'VARCHAR(100)', 'NOT NULL', '0001' , ''' ''';
EXEC p_AlterColumn 'T_EB_EXAMINE', 'FEXPLAIN', 'VARCHAR(255)', 'NOT NULL', '0001' , ''' ''';
EXEC p_AlterColumn 'T_EB_FORECAST_RECORD', 'FDIMVIEW', 'VARCHAR(500)', 'NOT NULL', '0001' , ''' ''';
EXEC p_AlterColumn 'T_EB_MAINSUBMODEL', 'FCONTROLTYPE', 'VARCHAR(255)', 'NOT NULL', '0001' , ''' ''';
EXEC p_AlterColumn 'T_EB_EASUPGRADE_RECORD_L', 'FLOCALEID', 'NVARCHAR(10)', 'NOT NULL', '0001' , ''' ''';

/**END **/