IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ADJDETAIL_ENTITY')
CREATE INDEX IDX_EB_ADJDETAIL_ENTITY ON T_EB_ADJDETAIL ( FENTITY );


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASKLIST_MODEL')
CREATE INDEX IDX_EB_TASKLIST_MODEL ON T_EB_TASKLIST ( FMODELID );


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASK_LIST')
CREATE INDEX IDX_EB_TASK_LIST ON T_EB_TASK ( FTASKLISTID );


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ACCOUNT_REL')
CREATE INDEX IDX_EB_ACCOUNT_REL ON T_EB_STRUCTOFACCOUNT ( FRELATEDACCOUNT );


IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_TASKLIST_VIEW')
CREATE INDEX IDX_EB_TASKLIST_VIEW ON T_EB_TASKLIST ( FORGVIEW );


-- 视图成员索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_VIEWMEMBER_PARENT')
CREATE INDEX IDX_EB_VIEWMEMBER_PARENT ON T_EB_VIEWMEMBER ( FPARENTID );