

/*==============================================================*/
/* Table: IDX_EB_LOCALAPPROVEOPINION             本地审核意见表   */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_LOCALAPPROVEOPINION')
CREATE TABLE T_EB_LOCALAPPROVEOPINION (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FTYPE                CHAR(1)              NOT NULL DEFAULT '1',
   FOPINION             NVARCHAR(2000)       NOT NULL DEFAULT ' ',
   FAPPROVEUSER         BIGINT               NOT NULL DEFAULT 0,
   FAPPROVETIME         DATETIME
);

 EXEC P_ALTERPK 'PK_EB_LOCALAPPROVEOPINION', 'T_EB_LOCALAPPROVEOPINION', 'FID', '1';
 
/*==============================================================*/
/* Index: IDX_EB_LOCALAPPROVEOPINION                            */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_LOCALAPPROVEOPINION')
CREATE INDEX IDX_EB_LOCALAPPROVEOPINION ON T_EB_LOCALAPPROVEOPINION ( FPROCESSID );

