

/*==============================================================*/
/* Table: T_EB_APPROVEREJECTOPINION_TMP     驳回意见暂存表      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVEREJECTOPINION_TMP')
CREATE TABLE T_EB_APPROVEREJECTOPINION_TMP (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FMUSTREJECT          CHAR(1)              NOT NULL DEFAULT '1',
   FOPINION             NVARCHAR(2000)       NOT NULL DEFAULT ' ',
   FAUDITNODE           NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FISUSED              CHAR(1)              NOT NULL DEFAULT '0',
   FREJECTNODE          NVARCHAR(100)        NOT NULL DEFAULT ' ',
   FREJECTUSER          BIGINT               NOT NULL DEFAULT 0,
   FREJECTTIME          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_APPROVEREJECTOPINION_TMP', 'T_EB_APPROVEREJECTOPINION_TMP', 'FID', '1';
 
/*==============================================================*/
/* Index: IDX_EB_APPROVEREJECTOPINION                           */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEREJECTOPINION_TMP')
CREATE INDEX IDX_EB_APPROVEREJECTOPINION_TMP ON T_EB_APPROVEREJECTOPINION_TMP ( FPROCESSID );



