

/*==============================================================*/
/* Table: T_EB_APPROVEINFORECORD        审批备注信息记录表      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVEINFORECORD')
CREATE TABLE T_EB_APPROVEINFORECORD (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FRELATEID            BIGINT               NOT NULL DEFAULT 0,
   FAPPROVEINFO         NVARCHAR(2000)       NOT NULL DEFAULT ' ',
   FTYPE                CHAR(1)              NOT NULL DEFAULT '0',
   FSUBMITTIME          DATETIME
);

 EXEC P_ALTERPK 'PK_EB_APPROVEINFORECORD', 'T_EB_APPROVEINFORECORD', 'FID', '1';
 
/*==============================================================*/
/* Index: IDX_EB_APPROVEINFORECORD                              */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPROVEINFORECORD')
CREATE INDEX IDX_EB_APPROVEINFORECORD ON T_EB_APPROVEINFORECORD ( FRELATEID );



