﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_APPROVALTYPEENTITY' AND KSQL_COL_NAME ='FCENTRALSPLIT') 
ALTER TABLE T_EB_APPROVALTYPEENTITY ADD (FCENTRALSPLIT NCHAR(1) default '0' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVALRELATION') 
CREATE TABLE T_EB_APPROVALRELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUDGETORG BIGINT DEFAULT 0 NOT NULL,
FCENTRALSCHEMA BIGINT DEFAULT 0 NOT NULL,
FVALIDSTATUS NCHAR(1) default '1' NOT NULL
);

EXEC P_ALTERPK 'PK_T_EB_APPROVALRELATION', 'T_EB_APPROVALRELATION', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_EB_APPROVALRELATION') CREATE INDEX IDX_T_EB_APPROVALRELATION ON T_EB_APPROVALRELATION ( FID );
