IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MODEL' AND KSQL_COL_NAME IN ('FPARENTNUMBER'))
ALTER TABLE T_EB_MODEL ADD (FPARENTNUMBER NVARCHAR(50) NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MODEL' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_MODEL ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MODEL' AND KSQL_COL_NAME IN ('FLASTSYNCUSER'))
ALTER TABLE T_EB_MODEL ADD (FLASTSYNCUSER BIGINT DEFAULT 0 NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MODEL' AND KSQL_COL_NAME IN ('FLEVEL'))
ALTER TABLE T_EB_MODEL ADD (FLEVEL BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MODEL' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_MODEL ADD (FSYNCSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_EXAMINE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_EXAMINE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_EXAMINE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_EXAMINE ADD (FSYNCDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_EXAMINE' AND KSQL_COL_NAME IN ('FSYNCMAINNUMBER'))
ALTER TABLE T_EB_EXAMINE ADD (FSYNCMAINNUMBER NVARCHAR(50) NOT NULL DEFAULT ' ' );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_TEMPLATE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_TEMPLATE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_TEMPLATE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_TEMPLATE ADD (FSYNCDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_TEMPLATE' AND KSQL_COL_NAME IN ('FSYNCMAINNUMBER'))
ALTER TABLE T_EB_TEMPLATE ADD (FSYNCMAINNUMBER NVARCHAR(50) NOT NULL DEFAULT ' ' );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_PERIODVARIABLE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_PERIODVARIABLE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_PERIODVARIABLE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_PERIODVARIABLE ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_APPLICATIONSCENARIO' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_APPLICATIONSCENARIO ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_APPLICATIONSCENARIO' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_APPLICATIONSCENARIO ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_BUSINESSMODEL' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_BUSINESSMODEL ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_BUSINESSMODEL' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_BUSINESSMODEL ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFACCOUNT' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFACCOUNT ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFACCOUNT' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFACCOUNT ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DATASET' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_DATASET ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DATASET' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_DATASET ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFENT' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFENT ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFENT' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFENT ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFBPERIOD' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFBPERIOD ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFBPERIOD' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFBPERIOD ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFVERSION' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFVERSION ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFVERSION' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFVERSION ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFCURRENCY' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFCURRENCY ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFCURRENCY' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFCURRENCY ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFAUDITTRIAL' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFAUDITTRIAL ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFAUDITTRIAL' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFAUDITTRIAL ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFCHANGETYPE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFCHANGETYPE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFCHANGETYPE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFCHANGETYPE ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFICENTITY' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFICENTITY ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFICENTITY' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFICENTITY ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFDATETYPE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFDATETYPE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFDATETYPE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFDATETYPE ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFMETRIC' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFMETRIC ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFMETRIC' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFMETRIC ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFDEFINED' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_STRUCTOFDEFINED ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_STRUCTOFDEFINED' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_STRUCTOFDEFINED ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_CUSTOMPROPERTY' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_CUSTOMPROPERTY ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_CUSTOMPROPERTY' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_CUSTOMPROPERTY ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_CUSTOMPROPERTYVALUE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_CUSTOMPROPERTYVALUE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_CUSTOMPROPERTYVALUE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_CUSTOMPROPERTYVALUE ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMENSIONRELATION' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_DIMENSIONRELATION ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMENSIONRELATION' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_DIMENSIONRELATION ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMMEMBERRELATION' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_DIMMEMBERRELATION ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMMEMBERRELATION' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_DIMMEMBERRELATION ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_BIZRULESET' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_BIZRULESET ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_BIZRULESET' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_BIZRULESET ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_SCENARIOENTRY' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_SCENARIOENTRY ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_SCENARIOENTRY' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_SCENARIOENTRY ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_VIEWENTRY' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_VIEWENTRY ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_VIEWENTRY' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_VIEWENTRY ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMENSIONVIEW' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_DIMENSIONVIEW ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMENSIONVIEW' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_DIMENSIONVIEW ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MEMBERPROPERTYVALUE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_MEMBERPROPERTYVALUE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_MEMBERPROPERTYVALUE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_MEMBERPROPERTYVALUE ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_VIEWMEMBER' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_VIEWMEMBER ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_VIEWMEMBER' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_VIEWMEMBER ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DATASETCATALOG' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_DATASETCATALOG ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DATASETCATALOG' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_DATASETCATALOG ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_TEMPLATECATALOG' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_TEMPLATECATALOG ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_TEMPLATECATALOG' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_TEMPLATECATALOG ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_EXAMINECATEGORY' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_EXAMINECATEGORY ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_EXAMINECATEGORY' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_EXAMINECATEGORY ADD (FSYNCDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMENSIONVARIABLE' AND KSQL_COL_NAME IN ('FSYNCSTATUS'))
ALTER TABLE T_EB_DIMENSIONVARIABLE ADD (FSYNCSTATUS NVARCHAR(50) NOT NULL DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DIMENSIONVARIABLE' AND KSQL_COL_NAME IN ('FSYNCDATE'))
ALTER TABLE T_EB_DIMENSIONVARIABLE ADD (FSYNCDATE DATETIME );

