
-- 驳回调整人员配置
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BILLREJECTCONFIG') 
 CREATE TABLE T_EB_BILLREJECTCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FENTITIYTEXT         NCLOB,
FACCOUNTTEXT         NCLOB,
FREJECTUSER			 BIGINT               NOT NULL DEFAULT 0,
FMEMBERJSON     	 NCLOB,
FCREATERID			 BIGINT               NOT NULL DEFAULT 0,
FCREATEDATE			 DATETIME
);
 
EXEC P_ALTERPK 'PK_EB_BILLREJECTCONFIG', 'T_EB_BILLREJECTCONFIG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_BILLREJECTCONFIG_P1')
CREATE INDEX IDX_EB_BILLREJECTCONFIG_P1 ON T_EB_BILLREJECTCONFIG (
FMODELID ASC
);

 
 