/*==============================================================*/
/* Table: t_eb_examineanno_mutual                                      */
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_EXAMINEANNO_MUTUAL') 
CREATE TABLE T_EB_EXAMINEANNO_MUTUAL (
   FID                  BIGINT               NOT NULL DEFAULT 0,
   FUSERID                 BIGINT               NOT NULL DEFAULT 0,
   FREPORTPROCESSID           BIGINT               NOT NULL DEFAULT 0,
   FCREATEDATE    DATETIME
);

 EXEC P_ALTERPK 'PK_EB_EXAMINEANNO_MUTUAL', 'T_EB_EXAMINEANNO_MUTUAL', 'FID', '1';

/*==============================================================*/
/* Index: IDX_EB_EXAMINEANNO_MUTUAL_P2                                   */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_EXAMINEANNO_MUTUAL_P2')
CREATE INDEX IDX_EB_EXAMINEANNO_MUTUAL_P2 ON T_EB_EXAMINEANNO_MUTUAL (
FREPORTPROCESSID ASC
);