--沙盘模拟新建表T_EB_ANALYSISCANVAS_CMP、T_EB_ANALYSISCANVAS_CMP_L、T_EB_ANALYSISCANVAS_CMP_D
/**BEGIN  **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_CMP')
CREATE TABLE T_EB_ANALYSISCANVAS_CMP
(
    FID            BIGINT DEFAULT 0 NOT NULL,
    FCANVASID      BIGINT DEFAULT 0 NOT NULL,
    FMODELID       BIGINT DEFAULT 0 NOT NULL,
    FDATASETID     BIGINT DEFAULT 0 NOT NULL,
    FNUMBER        NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATERID     BIGINT DEFAULT 0 NOT NULL,
    FCREATEDATE    DATETIME,
    FMODIFIERID    BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE    DATETIME
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_CMP', 'T_EB_ANALYSISCANVAS_CMP', 'FID', '1';
-- 索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSICMP_CVS')
CREATE INDEX IDX_EB_ANALYSICMP_CVS ON T_EB_ANALYSISCANVAS_CMP ( FCANVASID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSICMP_MD')
CREATE INDEX IDX_EB_ANALYSICMP_MD ON T_EB_ANALYSISCANVAS_CMP ( FMODELID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_ANALYSICMP_DS')
CREATE INDEX IDX_EB_ANALYSICMP_DS ON T_EB_ANALYSISCANVAS_CMP ( FDATASETID );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_CMP_L')
CREATE TABLE T_EB_ANALYSISCANVAS_CMP_L
(
    FPKID        NVARCHAR(36)  DEFAULT ' ' NOT NULL,
    FID          BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID    NVARCHAR(10)  DEFAULT ' ' NOT NULL,
    FNAME        NVARCHAR(50)  DEFAULT ' ' NOT NULL,
    FDESC        NVARCHAR(255)  DEFAULT ' ' NOT NULL
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_CMP_L', 'T_EB_ANALYSISCANVAS_CMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_ANALYSISCANVAS_CMP_D')
CREATE TABLE T_EB_ANALYSISCANVAS_CMP_D
(
    FID           BIGINT  DEFAULT 0 NOT NULL,
    FENTRYID      BIGINT DEFAULT 0 NOT NULL,
    FSEQ          BIGINT DEFAULT 0 NOT NULL,
    FDATA         NCLOB
);
-- 主键
EXEC P_ALTERPK 'PK_EB_ANALYSISCANVAS_CMP_D', 'T_EB_ANALYSISCANVAS_CMP_D', 'FENTRYID', '1';

/**END **/