-- 分解方案表增加组织视图
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSE_SCHEME' AND KSQL_COL_NAME IN ('FENTITYVIEW')) 
ALTER TABLE T_EB_DECOMPOSE_SCHEME ADD (FENTITYVIEW BIGINT DEFAULT 0 NOT NULL);
-- 调整记录表增加工作流节点
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FWORKFLOWTASK')) 
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FWORKFLOWTASK BIGINT DEFAULT 0 NOT NULL);
-- 调整记录表增加组织视图
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FENTITYVIEW')) 
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FENTITYVIEW BIGINT DEFAULT 0 NOT NULL); 
-- 调整记录表增加报表实例
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FREPORTPROCESS')) 
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FREPORTPROCESS BIGINT DEFAULT 0 NOT NULL); 
-- 调整记录表增加来源体系
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FSOURCEMODEL')) 
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FSOURCEMODEL BIGINT DEFAULT 0 NOT NULL); 
-- 调整记录表增加来源ID
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FSOURCEADJUST')) 
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FSOURCEADJUST BIGINT DEFAULT 0 NOT NULL); 
-- 调整记录表增加视图JSON
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSEADJUSTSUB' AND KSQL_COL_NAME IN ('FVIEWJSON')) 
ALTER TABLE T_EB_DECOMPOSEADJUSTSUB ADD (FVIEWJSON NVARCHAR(1000)  DEFAULT ' ' NOT NULL);

-- 分解任务表增加视图JSON
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_DECOMPOSE_TASK' AND KSQL_COL_NAME IN ('FVIEWJSON')) 
ALTER TABLE T_EB_DECOMPOSE_TASK ADD (FVIEWJSON NVARCHAR(1000)  DEFAULT ' ' NOT NULL);


EXEC P_ALTERCOLUMN 'T_EB_DECOMPOSEADJUSTSUB', 'FPENDINGTRIAL', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
EXEC P_ALTERCOLUMN 'T_EB_DECOMPOSEADJUSTSUB', 'FFIXTRIAL', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
EXEC P_ALTERCOLUMN 'T_EB_DECOMPOSEADJUSTSUB', 'FADJUSTTRIAL', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';