-- T_EB_USERSELNOTPROMPT 不再提示确认框用户记忆表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_USERSELNOTPROMPT')
CREATE TABLE T_EB_USERSELNOTPROMPT (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FMODEL      	    BIGINT               NOT NULL DEFAULT 0,
	FUSER      	        BIGINT               NOT NULL DEFAULT 0,
	FNOAGAINPROMPT      CHAR(1)              NOT NULL DEFAULT '0'
);

EXEC P_ALTERPK 'PK_EB_USERSELNOTPROMPT', 'T_EB_USERSELNOTPROMPT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_USERSELNOTPROMPT')
CREATE INDEX IDX_EB_USERSELNOTPROMPT ON T_EB_USERSELNOTPROMPT (FMODEL);