-- 控制明细日志
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_BGCONTROLLOGDETAIL')
CREATE TABLE T_EB_BGCONTROLLOGDETAIL (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FCREATEDATE      	DATETIME             NULL,
	FLOGS				BLOB
);

EXEC P_ALTERPK 'PK_EB_BGCONTROLLOGDETAIL', 'T_EB_BGCONTROLLOGDETAIL', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IX_EB_BGCONTROLLD_TM')
CREATE INDEX IX_EB_BGCONTROLLD_TM ON T_EB_BGCONTROLLOGDETAIL (FCREATEDATE);

-- 控制操作日志增加字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_BGCONTROLOPERLOG' AND KSQL_COL_NAME IN ('FHASLOGS'))
ALTER TABLE T_EB_BGCONTROLOPERLOG ADD (FHASLOGS CHAR(1)  DEFAULT '0' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_BGCONTROLOPERLOG' AND KSQL_COL_NAME IN ('FISSHOW'))
ALTER TABLE T_EB_BGCONTROLOPERLOG ADD (FISSHOW CHAR(1)  DEFAULT '0' NOT NULL);