-- T_EB_OLAPTRANSACTION_LOG 多维数据日志
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_OLAPTRANSACTION_LOG') 
CREATE TABLE T_EB_OLAPTRANSACTION_LOG (
	FID             	BIGINT               NOT NULL DEFAULT 0,
	FTRANSACTIONID      BIGINT               NOT NULL DEFAULT 0,
	FCUBEID             BIGINT               NOT NULL DEFAULT 0,
	FCREATEDATE      	DATETIME             				   ,
	FCREATER            BIGINT               NOT NULL DEFAULT 0,
	FOLAPDATA      		NCLOB                                  ,
	FMODELID            BIGINT               NOT NULL DEFAULT 0
);

EXEC P_ALTERPK 'PK_EB_OLAPTRANSACTION_LOG', 'T_EB_OLAPTRANSACTION_LOG', 'FID', '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_OLAPTRANSACTION_LOG')
CREATE INDEX IDX_EB_OLAPTRANSACTION_LOG ON T_EB_OLAPTRANSACTION_LOG (FTRANSACTIONID);


